DEVICE={{ item.device|string }}
{% if item.bootproto|string|lower == 'static' %}
TYPE=Bridge
BOOTPROTO=none
{% if item.stp is defined and item.stp|string|length > 0 %}
STP={{ item.stp|string }}
{% endif %}
{% if item.address is defined and item.address|string|length > 0 %}
IPADDR={{ item.address|string }}
{% endif %}
{% if item.netmask is defined and item.netmask|string|length > 0 %}
NETMASK={{ item.netmask|string }}
{% endif %}
{% if item.gateway is defined and item.gateway|string|length > 0 %}
GATEWAY={{ item.gateway|string }}
{% endif %}
{% endif %}

{% if item.bootproto|string|lower == 'dhcp' %}
TYPE=bridge
BOOTPROTO=dhcp
{% if item.stp is defined and item.stp|string|length > 0 %}
STP={{ item.stp }}
{% endif %}
{% endif %}

{% if item.onboot is defined and item.onboot|string|length > 0 %}
ONBOOT={{ item.onboot }}
{% endif %}

{% if ansible_distribution_major_version is version_compare('7','>=') %}
NM_CONTROLLED=no
{% endif %}

{% if item.mtu is defined and item.mtu|string|length > 0 %}
MTU={{ item.mtu }}
{% endif %}
